--[[----------------------------------------------------------------------------

Info.lua
Summary information for the Album Epoca plug-in

------------------------------------------------------------------------------]]
local menuItems = nil
local LrSdkVersion = 2.4
local LrSdkMinimumVersion = 2.4

if _VERSION and _VERSION.major and _VERSION.major == 3 and _VERSION.minor < 3 then
	-- override version requirements if this is 3.0 thhrough 3.2
	LrSdkVersion = 3.3
	LrSdkMinimumVersion = 3.3
end

--[[
if _VERSION and _VERSION.major and _VERSION.major >= 3 then  
	-- make sure the Extras are available in LR version 3 and above
	menuItems = { 
		title 	= LOC "$$$/alloyphoto/plugin/PluginExtrasTitle=Album Epoca Plug-in Extras", 
		file 	= 'alloyphotoExportExtras.lua' 
	}
end   
--]]

return {

	LrSdkVersion 		= 2.0,
	LrSdkMinimumVersion	= 2.0, 

	LrPluginName			= LOC("$$$/alloyphoto/plugin/LabSiteName=Album Epoca"),
	LrToolkitIdentifier		= "com.alloyphoto.lightroom.export.albumepoca",
	LrPluginInfoProvider	= "alloyphotoPluginInfoProvider.lua", 
	LrInitPlugin			= "alloyphotoPluginInit.lua",  

    LrMetadataProvider      = 'alloyphotoExportMetadata.lua',
    LrMetadataTagsetFactory = 'alloyphotoMetadataTagset.lua',  
    	
	LrExportServiceProvider  = {
		title				= LOC("$$$/alloyphoto/plugin/LabSiteName=Album Epoca"),
		file				= "AlbumEpocaExportServiceProvider.lua",
	},

	LrExportMenuItems 		= menuItems, 
	
	VERSION = { major	= 1, 
				minor	= 0, 
				revision= 9, 
				build	= 550, 
				display	= "1.0.9", 
				},
} 
